#ifndef gfx
#define gfx


#define SCRN_W  (640)
#define SCRN_H  (224)
#define SCRN_CENTER_X (2048)
#define SCRN_CENTER_Y (2048)
#define OFFX (((4096-SCRN_W)/2)<<4)
#define OFFY (((4096-SCRN_H)/2)<<4)
#define SPR_MEM (0x70000000)
#define UNCACHED_MEM (0x20000000)
#define DMA_SPR (0x80000000)
#define DMA_MEM (0x0FFFFFFF)
#define NUM_SPRITES (4095)

extern sceGsDBuff db;          	// double buffer info
extern sceDmaChan *dmaGIF;	// DMA channel for string


#endif
