#ifndef SOUNDHEADER
#define SOUNDHEADER

extern u_int RPCReturnBuffer[128]__attribute__((aligned (64)));
extern int XM_CurrentPattern;
extern int XM_SongPos;
extern int XM_SongBPM;
extern int XM_SongSpeed;
extern int XM_SongStatus;
extern int XM_SongPatternPos;
extern int XM_SongLength;
extern int XM_SongChannels;
extern int XM_SongChannelVolumes[32];


int SOUND_SIFTransfer( int command,  int data, int flag );
int SOUND_InitIOP( void );
void SetIOPCommand(short command,short length);
int FlushIOPCommand(int type);
void SOUND_InitSPU(void);

void XM_SetSPUBaseAddress(unsigned int addr);
void XM_CreateIOPTransferBuffer(void);
void XM_FreeIOPTransferBuffer(void);
void XM_AllocXMBuffer(int id);
void XM_AllocXMSong(int SongNumber);
void XM_AllocXMPatternRAM(int size,int slot);
void XM_InitXMData(int xm_id, int pantype);
void XM_XMInit(void);
void XM_SetMasterVolume(int songid,int vol);
void XM_SetMasterPan(int songid,int pan);
void XM_CreateSampleOffsetData(int vid,int slot, unsigned int address);
void XM_TransferSampleData(int size);
void XM_XMPlay(int VAB_ID,int XM_ID,int SongID,int firstch, int Loop,int bitmask,int offset);
void XM_Pause(int SongID);
void XM_Resume(int SongID);
void XM_XMExit(void);
void XM_XMQuit(int SongID);
void XM_PauseAll(void);
void XM_ResumeAll(void);
void XM_FreeXMBuffer(int xm_id);
void XM_FreeXMSong(int song_id);
void XM_FreeXMPatternRAM(int xm_id);
void XM_GetSongFeedback(int songid);
void XM_SetSongPos(int songid,int pos);
void XM_PlayNextPos(int songid,int pos);
void XM_SetChannelVolume(int songid,int channel,int volume);
void SOUND_InitSPU(void);
void XM_SetBPM(int songid,int bpm);
void XM_SetSpeed(int songid,int speed);
void XM_SetStereo(void);
void XM_SetMono(void);
void XM_PlaySample(int vid,int slot,int channel,int voll,int volr,int pitch);
void XM_StopSample(int ch);
void XMEE_QuickShutdown(int xm_id,int song_id);
void XMEE_SetFeedback(void);
void XMEE_CreateSampleOffsetData(int vid, u_char *Vh);
int XMEE_TransferDataToIOP(unsigned int source,unsigned int dest, unsigned int size);
int XMEE_TransferSampleData(int source,int dest,int size);
u_int XMEE_QuickInit(int xm_id,int song_id,u_int source,u_int size,int panswitch);


#define SOUND_SETPARAMS 0x80f0
// Module ID number
#define SOUND_DEV 0x00012345


/* ----------------------------------------------------------------
 *	End on File
 * ---------------------------------------------------------------- */
/* DON'T ADD STUFF AFTER THIS */

#endif